quarkus:
  log:
    level: INFO
  http:
    port: 8080
    idle-timeout: 30s
    non-application-root-path: /actuator
  application:
    name: rec-evaluate-customer-product
    version: 1.0.0
  smallrye-openapi:
    path: /openapi
    enable: true
    info-title: rec-evaluate-customer-product
    info-version: 1.0.0
    info-description: 'API Rec evaluate customer products'
  swagger-ui:
    path: /swagger-ui
    always-include: true
    health:
      enabled: false
  rest-client:
    customer-accounts:
      url: http://bus-evaluate-customer-product-route-apis-banesco-dev.apps.desplakur3.desintra.banesco.com/customer/position/evaluate
      scope: jakarta.inject.Singleton
app:
  appId: REC_EVALUATE_CUSTOMER_PRODUCT
  response-json: |
    [
        {
           "backend_code": "default",
           "http_code": "409",
           "status_code": "CONFLICT",
           "description": "Conflicto",
           "status": "error"
        },
        {
           "backend_code": "VRN_CONFIG_NOT_FOUND",
           "http_code": "400",
           "status_code": "400",
           "description": "Configuracion no encontrada",
           "status": "error"
        },
            {
           "backend_code": "405",
           "http_code": "405",
           "status_code": "405",
           "description": "Metodo no permitido",
           "status": "error"
        },
        {
           "backend_code": "200",
           "http_code": "200",
           "status_code": "200",
           "description": "Operacion exitosa",
           "status": "ok"
        },
        {
           "backend_code": "204",
           "http_code": "200",
           "status_code": "204",
           "description": "Cliente sin productos",
           "status": "ok"
        },
        {
           "backend_code": "503-URL",
           "http_code": "503",
           "status_code": "503",
           "description": "Incidencia con la resolución de CI",
           "status": "error"
        },
        {
           "backend_code": "500",
           "http_code": "503",
           "status_code": "500",
           "description": "Uso interno",
           "status": "error"
        },
        {
           "backend_code": "406",
           "http_code": "406",
           "status_code": "406",
           "description": "Respuesta no aceptable",
           "status": "error"
        },
        {
    		"backend_code": "VDE01",
    		"http_code": "400",
            "status_code": "VDE01",
    		"description": "Error en dato de entrada obligatorio",
    		"status": "error"
    	},
    	{
    		"backend_code": "VDE02",
    		"http_code": "400",
            "status_code": "VDE02",
    		"description": "Error en valor permitido para campo",
            "status": "error"
    	},
    	{
    		"backend_code": "VDE03",
    		"http_code": "400",
    		"status_code": "VDE03",
    		"description": "Longitud no permitida para campo",
            "status": "error"
    	},
        {
           "backend_code": "VRN01",
           "http_code": "401",
           "status_code": "401",
           "description": "VRN01 - Fallo en la validación del perfil del cliente",
           "status": "error"
        },
        {
           "backend_code": "VRN04",
           "http_code": "503",
           "status_code": "VRN04",
           "description": "Servicio en horario de mantenimiento",
           "status": "error"
        },
        {
           "backend_code": "VRN07",
           "http_code": "401",
           "status_code": "VRN07",
           "description": "VRN07 – Codigo de OTP Invalido",
           "status": "error"
        },
        {
           "backend_code": "409",
           "http_code": "409",
           "status_code": "CONFLICT",
           "description": "Conflicto",
           "status": "error"
        },
        {
           "backend_code": "VRN19",
           "http_code": "401",
           "status_code": "AUTH01",
           "description": "Usuario no existe",
           "status": "error"
        },
        {
           "backend_code": "VRN20",
           "http_code": "401",
           "status_code": "AUTH02",
           "description": "Usuario no existe",
           "status": "error"
        }
    ]
